# sysbench.mak
# Created by IBM WorkFrame/2 MakeMake at 2:50:45 on 25 Aug 1996
#
# The actions included in this make file are:
#  Compile::C++ Compiler
#  Link::Linker
#  Bind::Resource Bind

.SUFFIXES: .c .obj 

.all: \
    .\sysbench.exe

.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe -DOS2TMR /Tl10 /Ss /O /Gm /C %s

{f:\sysbench\src}.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe -DOS2TMR /Tl10 /Ss /O /Gm /C %s

.\sysbench.exe: \
    .\pmb_memspeed.obj \
    .\pmb_sieve.obj \
    .\dhry_1.obj \
    .\dhry_2.obj \
    .\diskacc2.obj \
    .\pmb_bench.obj \
    .\pmb_dhry_1.obj \
    .\pmb_dhry_2.obj \
    .\pmb_diskio.obj \
    .\pmb_dive.obj \
    .\pmb_fft.obj \
    .\pmb_flops.obj \
    .\pmb_gfx.obj \
    .\pmb_hanoi.obj \
    .\pmb_heaps.obj \
    .\pmb_linpack.obj \
    .\pmb_main.obj \
    f:\sysbench\src\pmb.RES \
    {$(LIB)}dive.lib
    @echo " Link::Linker "
    @echo " Bind::Resource Bind "
    icc.exe @<<
     /B" /exepack:2 /pmtype:pm"
     /Fesysbench.exe 
     dive.lib 
     .\pmb_memspeed.obj
     .\pmb_sieve.obj
     .\dhry_1.obj
     .\dhry_2.obj
     .\diskacc2.obj
     .\pmb_bench.obj
     .\pmb_dhry_1.obj
     .\pmb_dhry_2.obj
     .\pmb_diskio.obj
     .\pmb_dive.obj
     .\pmb_fft.obj
     .\pmb_flops.obj
     .\pmb_gfx.obj
     .\pmb_hanoi.obj
     .\pmb_heaps.obj
     .\pmb_linpack.obj
     .\pmb_main.obj
<<
    rc.exe f:\sysbench\src\pmb.RES sysbench.exe

.\pmb_memspeed.obj: \
    f:\sysbench\src\pmb_memspeed.c \
    {f:\sysbench\src;$(INCLUDE);}types.h

.\pmb_main.obj: \
    f:\sysbench\src\pmb_main.c \
    {f:\sysbench\src;$(INCLUDE);}types.h \
    {f:\sysbench\src;$(INCLUDE);}pmb_bench.h \
    {f:\sysbench\src;$(INCLUDE);}pmb_datatype.h \
    {f:\sysbench\src;$(INCLUDE);}pmb.h

.\pmb_linpack.obj: \
    f:\sysbench\src\pmb_linpack.c

.\pmb_heaps.obj: \
    f:\sysbench\src\pmb_heaps.c

.\pmb_hanoi.obj: \
    f:\sysbench\src\pmb_hanoi.c

.\pmb_gfx.obj: \
    f:\sysbench\src\pmb_gfx.c \
    {f:\sysbench\src;$(INCLUDE);}types.h \
    {f:\sysbench\src;$(INCLUDE);}pmb.h

.\pmb_flops.obj: \
    f:\sysbench\src\pmb_flops.c

.\pmb_fft.obj: \
    f:\sysbench\src\pmb_fft.c

.\pmb_dive.obj: \
    f:\sysbench\src\pmb_dive.c \
    {f:\sysbench\src;$(INCLUDE);}types.h \
    {f:\sysbench\src;$(INCLUDE);}mmioos2.h \
    {f:\sysbench\src;$(INCLUDE);}dive.h \
    {f:\sysbench\src;$(INCLUDE);}fourcc.h \
    {f:\sysbench\src;$(INCLUDE);}pmb.h

.\pmb_diskio.obj: \
    f:\sysbench\src\pmb_diskio.c \
    {f:\sysbench\src;$(INCLUDE);}diskacc2.h

.\pmb_dhry_2.obj: \
    f:\sysbench\src\pmb_dhry_2.c \
    {f:\sysbench\src;$(INCLUDE);}dhry.h

.\pmb_dhry_1.obj: \
    f:\sysbench\src\pmb_dhry_1.c \
    {f:\sysbench\src;$(INCLUDE);}dhry.h

.\pmb_bench.obj: \
    f:\sysbench\src\pmb_bench.c \
    {f:\sysbench\src;$(INCLUDE);}types.h \
    {f:\sysbench\src;$(INCLUDE);}pmb_bench.h \
    {f:\sysbench\src;$(INCLUDE);}pmb_datatype.h

.\diskacc2.obj: \
    f:\sysbench\src\diskacc2.c \
    {f:\sysbench\src;$(INCLUDE);}diskacc2.h

.\dhry_2.obj: \
    f:\sysbench\src\dhry_2.c \
    {f:\sysbench\src;$(INCLUDE);}dhry.h \
    {f:\sysbench\src;$(INCLUDE);}types.h

.\dhry_1.obj: \
    f:\sysbench\src\dhry_1.c \
    {f:\sysbench\src;$(INCLUDE);}dhry.h \
    {f:\sysbench\src;$(INCLUDE);}types.h

.\pmb_sieve.obj: \
    f:\sysbench\src\pmb_sieve.c
